Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph
Class Node_Fluid

    java.lang.Object
      com.hp.hpl.jena.graph.Node
          com.hp.hpl.jena.graph.Node_Fluid

Direct Known Subclasses:
  Node_ANY, Node_Variable

    public abstract class Node_Fluid

extends Node

This is the subclass of "fluid" nodes, ie nodes that are "holes" in pattern matching.

Author:
  kers

Nested Class Summary

Nested classes/interfaces inherited from class com.hp.hpl.jena.graph.Node
`Node.NotLiteral`

Field Summary

Fields inherited from class com.hp.hpl.jena.graph.Node
`ANY, NULL`

Method Summary
`boolean` | `isConcrete()` Answer true iff this node is concrete, ie not variable, ie URI, blank, or literal.

Methods inherited from class com.hp.hpl.jena.graph.Node
`cache, create, create, create, createAnon, createAnon, createLiteral, createLiteral, createLiteral, createLiteral, createUncachedLiteral, createURI, createVariable, equals, getBlankNodeId, getBlankNodeLabel, getIndexingValue, getLiteral, getLiteralDatatype, getLiteralDatatypeURI, getLiteralIsXML, getLiteralLanguage, getLiteralLexicalForm, getLiteralValue, getLocalName, getName, getNameSpace, getType, getURI, hashCode, hasURI, isBlank, isLiteral, isURI, isVariable, matches, sameValueAs, toString, toString, toString, toString, visitWith`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### isConcrete

    public boolean isConcrete()

  Description copied from class: `Node`
  Answer true iff this node is concrete, ie not variable, ie URI, blank, or literal.

  Specified by:
    `isConcrete` in class `Node`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP